﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Syncfusion.UI.Xaml.Charts;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace Chart_Margin
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            ViewModel View = new ViewModel();
            this.DataContext = View;
            SfChart chart = new SfChart();

            //Thickness has been initialized for setting margin
            Thickness margin = new Thickness(20,10,20,10);

            //Newly initialized thickness object is assigned to the Chart Margin
            chart.Margin = margin;
            chart.Header = "Chart Demo";

            NumericalAxis primaryAxis = new NumericalAxis()
            {
                Minimum = 0,
                Maximum = 6,
                Interval = 1,
                Header = "XAxis"
            };
            chart.PrimaryAxis = primaryAxis;

            NumericalAxis secondaryAxis = new NumericalAxis()
            {
                Minimum = 0,
                Maximum = 70,
                Interval = 10,
                Header = "YAxis"
            };
            chart.SecondaryAxis = secondaryAxis;

            ColumnSeries column = new ColumnSeries()
            {
                ItemsSource = View.Collection,
                XBindingPath = "XValue",
                YBindingPath = "YValue"
            };
            chart.Series.Add(column);
            MainGrid.Children.Add(chart);

        }
    }
}
